org.apache.cassandra.streaming

## Class StreamSummary

- java.lang.Object
- - org.apache.cassandra.streaming.StreamSummary

All Implemented Interfaces:
  java.io.Serializable

    public class StreamSummary
    extends java.lang.Object
    implements java.io.Serializable

Summary of streaming.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `StreamSummary.StreamSummarySerializer`

### Field Summary

Fields
`java.util.UUID` `cfId`
`int` `files` Number of files to transfer.
`static IVersionedSerializer<StreamSummary>` `serializer`
`long` `totalSize`

### Constructor Summary

Constructors
Constructor and Description
`StreamSummary(java.util.UUID cfId, int files, long totalSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serializer

    public static final IVersionedSerializer<StreamSummary> serializer

#### cfId

    public final java.util.UUID cfId

#### files

    public final int files

Number of files to transfer. Can be 0 if nothing to transfer for some streaming request.

#### totalSize

    public final long totalSize

### Constructor Detail

#### StreamSummary

    public StreamSummary(java.util.UUID cfId,
                         int files,
                         long totalSize)

### Method Detail

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`